# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCreateTaskGroup

Function

Starts a new task Group to utilize parallelism.

Syntax
`
#include <dx/dx.h>
`

Error DXCreateTaskGroup()

Functional Details

All tasks subsequently created with `DXAddTask` until the matching `DXExecuteTaskGroup` is called will be members of this task Group. Each task added to this group will, when `DXExecuteTaskGroup` is called, be sorted by its work values and executed in parallel if possible.

If an error occurs before ExecuteTaskGroup is called, AbortTaskGroup should be called to free memory associated with the task group. See 4.2 , "Memory Management".

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXAbortTaskGroup, DXAddTask, DXExecuteTaskGroup, DXProcessorId, DXProcessors`

13.8 , "Parallelism".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]